From 8b012f89c97bc514cca708de21b04837672d668a Mon Sep 17 00:00:00 2001
From: Ivan Evlogiev <quic_ievlogie@quicinc.com>
Date: Wed, 8 Feb 2023 10:00:29 +0200
Subject: [PATCH 7/7] tensorflow-lite: Add clang support

Signed-off-by: Ivan Evlogiev <quic_ievlogie@quicinc.com>

Change-Id: Iae22d67311234266d0e80929aec5525154a4a967
---
 tensorflow/lite/CMakeLists.txt   | 5 +++++
 tensorflow/lite/c/CMakeLists.txt | 9 +++++++--
 2 files changed, 12 insertions(+), 2 deletions(-)

diff --git a/tensorflow/lite/CMakeLists.txt b/tensorflow/lite/CMakeLists.txt
index a8224a2d27c..0ddbf5874cf 100644
--- a/tensorflow/lite/CMakeLists.txt
+++ b/tensorflow/lite/CMakeLists.txt
@@ -46,6 +46,11 @@ if("${CMAKE_SYSTEM_NAME}" STREQUAL "Linux")
   set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined")
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fexceptions -fno-short-enums -Ofast")
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra")
+  if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
+    set(CMAKE_ASM_FLAGS "${CMAKE_ASM_FLAGS} -target ${TFLITE_TARGET}")
+    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -target ${TFLITE_TARGET}")
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -target ${TFLITE_TARGET}")
+  endif()
 endif()
 
 # Double colon in target name means ALIAS or IMPORTED target.
diff --git a/tensorflow/lite/c/CMakeLists.txt b/tensorflow/lite/c/CMakeLists.txt
index 27cc30d4f7e..e72be54d852 100644
--- a/tensorflow/lite/c/CMakeLists.txt
+++ b/tensorflow/lite/c/CMakeLists.txt
@@ -15,6 +15,8 @@
 
 cmake_minimum_required(VERSION 3.16)
 
+project(tensorflow-lite-c C CXX)
+
 if("${CMAKE_SYSTEM_NAME}" STREQUAL "Linux")
   add_definitions(-DTFLITE_PROFILING_ENABLED)
   add_definitions(-funsafe-math-optimizations)
@@ -27,10 +29,13 @@ if("${CMAKE_SYSTEM_NAME}" STREQUAL "Linux")
   set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined")
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fexceptions -fno-short-enums -Ofast")
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra")
+  if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
+    set(CMAKE_ASM_FLAGS "${CMAKE_ASM_FLAGS} -target ${TFLITE_TARGET}")
+    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -target ${TFLITE_TARGET}")
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -target ${TFLITE_TARGET}")
+  endif()
 endif()
 
-project(tensorflow-lite-c C CXX)
-
 option(TFLITE_C_BUILD_SHARED_LIBS "Build shared libraries" ON)
 
 set(TENSORFLOW_SOURCE_DIR "" CACHE PATH
-- 
2.17.1

